/**
 * @file led_colors.h
 *
 * @brief Header file defining color values for LEDs in the ChainLube application.
 *
 * This file contains color definitions in hexadecimal format for various states and events of LEDs
 * used in the ChainLube application. It provides a convenient way to reference specific colors for
 * different visual indications in the system.
 *
 * @author Marcel Peterkau
 * @date   09.01.2024
 */

#ifndef _LED_COLORS_H_
#define _LED_COLORS_H_

#define COLOR_RED           0xFF0000
#define COLOR_GREEN         0x00FF00
#define COLOR_BLUE          0x0000FF
#define COLOR_YELLOW        0xFF9600
#define COLOR_ORANGE        0xFF2800
#define COLOR_TEAL          0x00FF78
#define COLOR_CYAN          0x00FFFF
#define COLOR_PURPLE        0xB400FF
#define COLOR_MAGENTA       0xFF0014
#define COLOR_WHITE         0xFFFFFF
#define COLOR_BLACK         0x000000
#define COLOR_GOLD          0xFFDE1E
#define COLOR_PINK          0xF25AFF
#define COLOR_AQUA          0x32FFFF
#define COLOR_JADE          0x00FF28
#define COLOR_AMBER         0xFF6400
#define COLOR_WARM_WHITE    0xFDF5E6

#define LED_DEFAULT_COLOR       COLOR_WARM_WHITE
#define LED_STARTUP_NORMAL      COLOR_WARM_WHITE
#define LED_STARTUP_TANKWARN    COLOR_AMBER
#define LED_NORMAL_COLOR        COLOR_GREEN
#define LED_RAIN_COLOR          COLOR_BLUE
#define LED_WIFI_BLINK          COLOR_YELLOW
#define LED_PURGE_COLOR         COLOR_MAGENTA
#define LED_ERROR_BLINK         COLOR_RED
#define LED_SHUTDOWN_BLINK      COLOR_CYAN

#endif /* _LED_COLORS_H_ */
