/**
 * @file lubeapp.h
 *
 * @brief Header file for the ChainLube application functions.
 *
 * This file contains function declarations related to the main functionality of the ChainLube
 * application. It includes functions for running the application and generating lubrication pulses.
 *
 * @author Marcel Peterkau
 * @date   09.01.2024
 */

#ifndef _LUBEAPP_H_
#define _LUBEAPP_H_

#include <Arduino.h>
#include <stdlib.h>
#include "config.h"
#include "common.h"
#include "globals.h"
#include "dtc.h"
#include "debugger.h"

void RunLubeApp(uint32_t add_milimeters);
void LubePulse();

#endif /* _LUBEAPP_H_ */
